Attribute VB_Name = "Module1"
'***************************************************************************
' barcode_dll_module.bas : Visual Basic 6 module for EaseSoft Barcode DLL component.
' Used in conjunction with EaseSoft Barcode DLL (EaseBarDLL.dll)
'
' This file is a part of the EaseSoft Barcode DLL package.
' (c)2006 EaseSoft Corporation. All rights reserved.
'
' THIS SOURCE FILE IS THE PROPERTY OF EaseSoft CORPORATION AND IS NOT TO
' BE RE-DISTRIBUTED BY ANY MEANS WHATSOEVER WITHOUT THE EXPRESSED
' WRITTEN CONSENT OF EaseSoft.
'
' THIS SOURCE CODE CAN ONLY BE USED UNDER THE TERMS AND CONDITIONS
' OUTLINED IN THE EaseSoft BARCODE COMPONENT LICENSE AGREEMENT.  EaseSoft
' GRANTS TO YOU (ONE SOFTWARE DEVELOPER) THE LIMITED RIGHT TO USE
' THIS SOFTWARE ON A SINGLE COMPUTER.
'
' EaseSoft EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE, DOCUMENTATION
' AND ANYTHING ELSE PROVIDED BY EaseSoft HEREBY AND EaseSoft PROVIDES THE
' SAME IN "AS IS" CONDITION WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS
' OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
' MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK
' ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE AND DOCUMENTATION
' REMAINS WITH YOU.
'
' Version 3.3.0.0 Release Oct. 2006
' Version 3.0.0.0 First Released May 2006.
'
' CONTACT Information:
' support@easesoft.net
' http: www.easesoft.net
'********************************************************************************/

Declare Function CreateBarcodeObject Lib "EaseBarDLL.dll" () As Long
Declare Sub DeleteBarcodeObject Lib "EaseBarDLL.dll" (ByVal handle As Long)

Declare Function get_AddCheckDigit Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_AddCheckDigit Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_AutoSize Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_AutoSize Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_BackColor Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BackColor Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BarHeight Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BarHeight Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BarLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BarLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BarTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BarTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BarWidthReduction Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BarWidthReduction Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BearerBars Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_BearerBars Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_BorderStyle Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BorderStyle Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long


Declare Function get_BorderWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BorderWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BottomComment Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal pVal As String) As Long
Declare Function put_BottomComment Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As String) As Long

Declare Function get_BottomCommentFont Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long
Declare Function put_BottomCommentFont Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal pVal As Object) As Long

Declare Function get_BottomCommentLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BottomCommentLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_BottomCommentTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BottomCommentTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_ControlHeight Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_ControlHeight Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_ControlWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_ControlWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_ForeColor Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_ForeColor Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_GifCompression Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_GifCompression Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_JpegQuality Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_JpegQuality Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_MetaFileResolution Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_MetaFileResolution Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_NarrowBarWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_NarrowBarWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_NarrowToWideRatio Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Double) As Long
Declare Function put_NarrowToWideRatio Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Double) As Long

Declare Function get_PngFilter Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Double) As Long
Declare Function put_PngFilter Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Double) As Long

Declare Function get_PngInterlace Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_PngInterlace Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long


Declare Function get_QuietZones Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_QuietZones Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_RasterImageResolution Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_RasterImageResolution Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_Rotation Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_Rotation Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_ShowCheckDigit Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_ShowCheckDigit Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_ShowHRText Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_ShowHRText Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_SymbologyID Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_SymbologyID Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_TextFont Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long
Declare Function put_TextFont Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Object) As Long

Declare Function get_TextToEncode Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal pVal As String) As Long
Declare Function put_TextToEncode Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As String) As Long

Declare Function get_TextTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_TextTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_TextLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_TextLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_TextToStretch Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_TextToStretch Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_TiffCompression Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_TiffCompression Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_TopComment Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal pVal As String) As Long
Declare Function put_TopComment Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As String) As Long

Declare Function get_TopCommentFont Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long
Declare Function put_TopCommentFont Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Object) As Long

Declare Function get_TopCommentLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_TopCommentLeftMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_TopCommentTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_TopCommentTopMargin Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFSecurityLevel Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFSecurityLevel Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFMaxCols Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFMaxCols Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFMaxRows Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFMaxRows Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFModuleHeight Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFModuleHeight Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFModuleWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFModuleWidth Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFAspectRatio Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFAspectRatio Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_PDFTruncatedSymbol Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_PDFTruncatedSymbol Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long

Declare Function get_EncodationMode Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_EncodationMode Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_DataMatrixSize Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_DataMatrixSize Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function get_DataMatrixModuleSize Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_DataMatrixModuleSize Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long



Declare Function SaveBarcodeImage Lib "EaseBarDLL.dll" (ByVal handle As Long, ByVal lpszFileName As String) As Long

Declare Function get_Picture Lib "EaseBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long

Declare Function CopyToClipBoard Lib "EaseBarDLL.dll" (ByVal handle As Long) As Long


'******************************************
'Constants
'******************************************
'1. Symbology constants
Global Const Code39 = 0                 'Normal Code 39
Global Const Code39ASCII = 1            'Code 39 Full ASCII
Global Const Code93 = 2                 'Code 93
Global Const UPCA = 3                   'UPC A
Global Const EAN13 = 4                  'EAN 13
Global Const EAN8 = 5                   'EAN 8
Global Const UPCE = 6                   'UPC E
Global Const BookLand = 7               'Bookland
Global Const Code128 = 8                'Code 128
Global Const UCC128 = 9                 'UCC/EAN 128
Global Const Code25 = 10                'Code25
Global Const I25 = 11                   'Interleaved 2 of 5
Global Const Code11 = 12                'Code11
Global Const Codabar = 13               'Codabar
Global Const MSI = 14                   'MSI/Plessey
Global Const Postnet = 15               'Postnet
Global Const PDF417 = 20                'PDF417
Global Const DataMatrix = 21            'DataMatrix
  

'2. Rotation
Global Const Clockwise_Zero_Degree = 0
Global Const Clockwise_90_Degree = 1
Global Const Clockwise_180_Degree = 2
Global Const Clockwise_270_Degree = 3

   
'3. BorderStyle
Global Const None = 0
Global Const m_Solid = 1
Global Const m_Dash = 2
Global Const m_DOT = 3
Global Const m_DashDOTDot = 4
Global Const m_SolidRoundCorner = 5

'4.  DataMatrix EncodationMode
Global Const E_AUTO = 0
Global Const E_ASCII = 1
Global Const E_C40 = 2
Global Const E_TEXT = 3
Global Const E_X12 = 4
Global Const E_EDIFACT = 5
Global Const E_BASE256 = 6

'5. DataMatrix Target Size
Global Const SIZE_AUTO = 0
Global Const SIZE_12X12 = 1
Global Const SIZE_14X14 = 2
Global Const SIZE_16X16 = 3
Global Const SIZE_18X18 = 4
Global Const SIZE_20X20 = 5
Global Const SIZE_22X22 = 6
Global Const SIZE_24X24 = 7
Global Const SIZE_26X26 = 8
Global Const SIZE_32X32 = 9
Global Const SIZE_36X36 = 10
Global Const SIZE_40X40 = 11
Global Const SIZE_44X44 = 12
Global Const SIZE_48X48 = 13
Global Const SIZE_52X52 = 14
Global Const SIZE_64X64 = 15
Global Const SIZE_72X72 = 16
Global Const SIZE_80X80 = 17
Global Const SIZE_88X88 = 18
Global Const SIZE_96X96 = 19
Global Const SIZE_104X104 = 20
Global Const SIZE_120X120 = 21
Global Const SIZE_132X132 = 22
Global Const SIZE_144X144 = 23
Global Const SIZE_8X18 = 24
Global Const SIZE_8X32 = 25
Global Const SIZE_12X26 = 26
Global Const SIZE_12X36 = 27
Global Const SIZE_16X36 = 28
Global Const SIZE_16X48 = 29



