// VC6ExampleDlg.cpp : implementation file
// 
	 
#include "stdafx.h"
#include "VC6Example.h"
#include "VC6ExampleDlg.h"
#include <atlbase.h>
#include "EaseBarDLL.h"		// EaseSoft Barcode DLL header file
 
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
  
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVC6ExampleDlg dialog

CVC6ExampleDlg::CVC6ExampleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVC6ExampleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVC6ExampleDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVC6ExampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVC6ExampleDlg)
	DDX_Control(pDX, IDC_BARCODE, m_picBarcode);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVC6ExampleDlg, CDialog)
	//{{AFX_MSG_MAP(CVC6ExampleDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_EN_CHANGE(IDC_EDIT_Texttoencode, OnChangeEDITTexttoencode)
	ON_CBN_SELCHANGE(IDC_COMBO_Symbology, OnSelchangeCOMBOSymbology)
	ON_BN_CLICKED(IDC_Print, OnPrint)
	ON_EN_CHANGE(IDC_EDIT_Barheight, OnChangeEDITBarheight)
	ON_BN_CLICKED(IDC_CHECK_Autosize, OnCHECKAutosize)
	ON_EN_CHANGE(IDC_EDIT_Narrowbarwidth, OnChangeEDITNarrowbarwidth)
	ON_EN_CHANGE(IDC_EDIT_Topcomment, OnChangeEDITTopcomment)
	ON_EN_CHANGE(IDC_EDIT_Bottomcomment, OnChangeEDITBottomcomment)
	ON_EN_CHANGE(IDC_EDIT_Bartopmargin, OnChangeEDITBartopmargin)
	ON_EN_CHANGE(IDC_EDIT_Barleftmargin, OnChangeEDITBarleftmargin)
	ON_EN_CHANGE(IDC_EDIT_Texttopmargin, OnChangeEDITTexttopmargin)
	ON_EN_CHANGE(IDC_EDIT_Textleftmargin, OnChangeEDITTextleftmargin)
	ON_EN_CHANGE(IDC_EDIT_Topcommenttopmargin, OnChangeEDITTopcommenttopmargin)
	ON_EN_CHANGE(IDC_EDIT_Topcommentleftmargin, OnChangeEDITTopcommentleftmargin)
	ON_EN_CHANGE(IDC_EDIT_Bottomcommenttopmargin, OnChangeEDITBottomcommenttopmargin)
	ON_EN_CHANGE(IDC_EDIT_Bottomcommentleftmargin, OnChangeEDITBottomcommentleftmargin)
	ON_BN_CLICKED(IDC_CHECK_Quietzones, OnCHECKQuietzones)
	ON_BN_CLICKED(IDC_CHECK_Addcheckdigit, OnCHECKAddcheckdigit)
	ON_BN_CLICKED(IDC_CHECK_Showcheckdigit, OnCHECKShowcheckdigit)
	ON_BN_CLICKED(IDC_CHECK_Showhrtext, OnCHECKShowhrtext)
	ON_BN_CLICKED(IDC_CHECK_Bearerbars, OnCHECKBearerbars)
	ON_BN_CLICKED(IDC_CHECK_Texttostretch, OnCHECKTexttostretch)
	ON_CBN_SELCHANGE(IDC_COMBO_Borderstyle, OnSelchangeCOMBOBorderstyle)
	ON_BN_CLICKED(IDC_Copy, OnCopy)
	ON_BN_CLICKED(IDC_Save, OnSave)
	ON_BN_CLICKED(IDC_BUTTON_Font, OnBUTTONFont)
	ON_EN_CHANGE(IDC_EDIT_ControlHeight, OnChangeEDITControlHeigth)
	ON_EN_CHANGE(IDC_EDIT_ControlWidth, OnChangeEDITControlWidth)
	ON_EN_CHANGE(IDC_EDIT_RasterImageResolution, OnChangeEDITRasterImageResolution)
	ON_EN_CHANGE(IDC_EDIT_JpegQuality, OnChangeEDITJpegQuality)
	ON_EN_CHANGE(IDC_EDIT_TiffCompression, OnChangeEDITTiffCompression)
	ON_EN_CHANGE(IDC_EDIT_PngFilter, OnChangeEDITPngFilter)
	ON_BN_CLICKED(IDC_CHECK_GifCompression, OnCHECKGifCompression)
	ON_BN_CLICKED(IDC_CHECK_PngInterlace, OnCHECKPngInterlace)
	ON_BN_CLICKED(IDC_BUTTON_Refresh, OnBUTTONRefresh)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVC6ExampleDlg message handlers
CString IntToString( int inpara)
{
   char temp[10];
   sprintf(temp,"%d",inpara);
   CString temp1=temp;
   return temp1;
}

// draw the barcode on the picture box
void CVC6ExampleDlg::RefreshImage(CDC *pDC ) 
{
	    UpdateData(TRUE);

		//- draw the area using retrieved emf handle
		if( pDC == NULL )
		pDC = m_picBarcode.GetDC();


		IPictureDisp* pPictureDisp=NULL;
		int hr = get_Picture(m_hBarcodeDLL, &pPictureDisp);
		if ( FAILED(hr) ) throw hr;

		IPicture* pPicture=NULL;
		hr = pPictureDisp->QueryInterface(__uuidof(IPicture), (void**)&pPicture);
		ASSERT(SUCCEEDED(hr));

		// Draw the Bar Code into static frame
		OLE_HANDLE handle;
		pPicture->get_Handle(&handle);
		OLE_YSIZE_HIMETRIC height;
		OLE_XSIZE_HIMETRIC width; 
		pPicture->get_Height(&height);
		pPicture->get_Width(&width);

		CRect rcBounds;
		m_picBarcode.GetClientRect(&rcBounds);

		
		//paint background first
		CBrush brush ;
		brush.CreateSolidBrush(GetSysColor(COLOR_GRAYTEXT));
		CBrush* pOldBrush = pDC->SelectObject(&brush);
		pDC->FillRect(&rcBounds, &brush);

		pDC->SetMapMode(MM_HIMETRIC);
		pDC->DPtoLP(&rcBounds);
		rcBounds.bottom = rcBounds.top - height;
		rcBounds.right =  rcBounds.left + width;

		::PlayEnhMetaFile(pDC->m_hDC, (HENHMETAFILE)handle, &rcBounds);

		pPictureDisp->Release();
		pPicture->Release();
		pDC->SelectObject(pOldBrush);
		pDC->SetMapMode(MM_TEXT);
		m_picBarcode.ReleaseDC(pDC);


}


BOOL CVC6ExampleDlg::OnInitDialog()
{

	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	 

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// Create a barcode object and save the handle
	m_hBarcodeDLL=CreateBarcodeObject();

	
	//initialize controls
	//BarText
	BSTR m_BarText;
	CString barText;
	get_TextToEncode(m_hBarcodeDLL,&m_BarText);
	barText = m_BarText;
	SetDlgItemText( IDC_EDIT_Texttoencode,barText );

	//BarType
	int symbologyId;
	get_SymbologyID(m_hBarcodeDLL,&symbologyId);
	((CComboBox*)GetDlgItem(IDC_COMBO_Symbology))->SetCurSel( symbologyId);

	//Borderstyle
	int borderStyle;
	get_BorderStyle(m_hBarcodeDLL,&borderStyle);
	((CComboBox*)GetDlgItem(IDC_COMBO_Borderstyle))->SetCurSel(borderStyle );

	//Controlheight
	long controlHeight;
	get_ControlHeight(m_hBarcodeDLL,&controlHeight);
	SetDlgItemText( IDC_EDIT_ControlHeight, IntToString(controlHeight));


	//ControlWidth
	long controlWidth;
	get_ControlWidth(m_hBarcodeDLL,&controlWidth);
	SetDlgItemText( IDC_EDIT_ControlWidth, IntToString(controlWidth));
	

	//Barheight
	short barHeight;
	get_BarHeight(m_hBarcodeDLL,&barHeight);
	SetDlgItemText( IDC_EDIT_Barheight, IntToString(barHeight));

	//NarrowBarWidth
	short narrowBarWidth;
	get_NarrowBarWidth(m_hBarcodeDLL,&narrowBarWidth);
	SetDlgItemText( IDC_EDIT_Narrowbarwidth, IntToString(narrowBarWidth));

 	//Topcomment
	BSTR m_topComment;
	CString topComment;
	get_TopComment(m_hBarcodeDLL,&m_topComment);
	topComment = m_topComment;
	SetDlgItemText( IDC_EDIT_Topcomment,topComment );

    //Bottomcomment		
	BSTR m_bottomComment;
	CString bottomComment;
	get_BottomComment(m_hBarcodeDLL,&m_bottomComment);
	bottomComment = m_bottomComment;
	SetDlgItemText( IDC_EDIT_Bottomcomment, bottomComment );
  
	//BarTopMargin
	short barTopMargin;
	get_BarTopMargin(m_hBarcodeDLL,&barTopMargin);
	SetDlgItemText( IDC_EDIT_Bartopmargin, IntToString(barTopMargin));

	//BarLeftMargin
	short barLeftMargin;
	get_BarLeftMargin(m_hBarcodeDLL,&barLeftMargin);
	SetDlgItemText( IDC_EDIT_Barleftmargin, IntToString(barLeftMargin ));

    //TopcommentTopMargin
	short topCommentTopMargin;
	get_TopCommentTopMargin(m_hBarcodeDLL,&topCommentTopMargin);
	SetDlgItemText( IDC_EDIT_Topcommenttopmargin,IntToString( topCommentTopMargin));

    //TopCommentLeftMargin
	short topCommentLeftMargin;
	get_TopCommentLeftMargin(m_hBarcodeDLL,&topCommentLeftMargin);
	SetDlgItemText( IDC_EDIT_Topcommentleftmargin,IntToString(topCommentLeftMargin));

	//TextTopMargin
	short textTopMargin;
	get_TextTopMargin(m_hBarcodeDLL,&textTopMargin);
	SetDlgItemText( IDC_EDIT_Texttopmargin, IntToString(textTopMargin));

    //TextLeftMargin
	short textLeftMargin;
	get_TextLeftMargin(m_hBarcodeDLL,&textLeftMargin);
	SetDlgItemText( IDC_EDIT_Textleftmargin, IntToString(textLeftMargin));

    //BottomcommentTopMargin
	short bottomCommentTopMargin;
	get_BottomCommentTopMargin(m_hBarcodeDLL,&bottomCommentTopMargin);
	SetDlgItemText( IDC_EDIT_Bottomcommenttopmargin, IntToString(bottomCommentTopMargin));

	//Bottomcommentleftmargin
	short bottomCommentLeftMargin;
	get_BottomCommentLeftMargin(m_hBarcodeDLL,&bottomCommentLeftMargin);
	SetDlgItemText( IDC_EDIT_Bottomcommentleftmargin, IntToString(bottomCommentLeftMargin));
   	
	//AutoSize
	VARIANT_BOOL autoSize;
	get_AutoSize(m_hBarcodeDLL,&autoSize);
	CheckDlgButton( IDC_CHECK_Autosize, autoSize );

	//TextToStretch
	VARIANT_BOOL textToStretch;
	get_TextToStretch(m_hBarcodeDLL,&textToStretch);
	CheckDlgButton( IDC_CHECK_Texttostretch, textToStretch );

	 //ShowHRText
	VARIANT_BOOL showHRText;
	get_ShowHRText(m_hBarcodeDLL,&showHRText);
	CheckDlgButton( IDC_CHECK_Showhrtext, showHRText );

    //BearerBars
	VARIANT_BOOL bearerBars;
	get_BearerBars(m_hBarcodeDLL,&bearerBars);
	CheckDlgButton( IDC_CHECK_Bearerbars, bearerBars );

    //QuietZones
	VARIANT_BOOL quietZones;
	get_QuietZones(m_hBarcodeDLL,&quietZones);
	CheckDlgButton( IDC_CHECK_Quietzones, quietZones );

    //AddCheckDigit
	VARIANT_BOOL addCheckDigit;
	get_AddCheckDigit(m_hBarcodeDLL,&addCheckDigit);
	CheckDlgButton( IDC_CHECK_Addcheckdigit, addCheckDigit );

    //ShowCheckDigit
	VARIANT_BOOL showCheckDigit;
	get_ShowCheckDigit(m_hBarcodeDLL,&showCheckDigit);
	CheckDlgButton( IDC_CHECK_Showcheckdigit, showCheckDigit );

	//GifCompression
	VARIANT_BOOL gifCompression;
	get_GifCompression(m_hBarcodeDLL,&gifCompression);
	CheckDlgButton( IDC_CHECK_GifCompression, gifCompression );

    //PngInterlace
	VARIANT_BOOL pngInterlace;
	get_PngInterlace(m_hBarcodeDLL,&pngInterlace);
	CheckDlgButton( IDC_CHECK_PngInterlace, pngInterlace );

	//RasterImageResolution
	short rasterImageResolution;
	get_RasterImageResolution(m_hBarcodeDLL,&rasterImageResolution);
	SetDlgItemText( IDC_EDIT_RasterImageResolution, IntToString(rasterImageResolution));

	//JpegQuality
	short jpegQuality;
	get_JpegQuality(m_hBarcodeDLL,&jpegQuality);
	SetDlgItemText( IDC_EDIT_JpegQuality, IntToString(jpegQuality));

	//TiffCompression
	short tiffCompression;
	get_TiffCompression(m_hBarcodeDLL,&tiffCompression);
	SetDlgItemText( IDC_EDIT_TiffCompression, IntToString(tiffCompression));

	//PngFilter
	short pngFilter;
	get_PngFilter(m_hBarcodeDLL,&pngFilter);
	SetDlgItemText( IDC_EDIT_PngFilter, IntToString(pngFilter));
	

	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVC6ExampleDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVC6ExampleDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVC6ExampleDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CVC6ExampleDlg::OnChangeEDITTexttoencode() 
{
	CString sBarText;
	GetDlgItemText( IDC_EDIT_Texttoencode, sBarText );
	put_TextToEncode(m_hBarcodeDLL, sBarText.AllocSysString() );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnSelchangeCOMBOSymbology() 
{
    int iSelIdx = ((CComboBox*)GetDlgItem(IDC_COMBO_Symbology))->GetCurSel();
	if(iSelIdx>15)
		iSelIdx+=4;
	  put_SymbologyID(m_hBarcodeDLL, (Symbology)iSelIdx );
	RefreshImage();
}

void CVC6ExampleDlg::OnSelchangeCOMBOBorderstyle() 
{
    int iSelIdx = ((CComboBox*)GetDlgItem(IDC_COMBO_Borderstyle))->GetCurSel();
	put_BorderStyle(m_hBarcodeDLL,(BorderStyle)iSelIdx);
	RefreshImage();
	
}


void CVC6ExampleDlg::OnChangeEDITBarheight() 
{
    CString Barheight;
	GetDlgItemText( IDC_EDIT_Barheight, Barheight );
	put_BarHeight(m_hBarcodeDLL, atoi(Barheight) );
	RefreshImage();
	
}


void CVC6ExampleDlg::OnChangeEDITNarrowbarwidth() 
{
    CString narrowbarwidth;
	GetDlgItemText( IDC_EDIT_Narrowbarwidth, narrowbarwidth );
	put_NarrowBarWidth(m_hBarcodeDLL, atoi(narrowbarwidth) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITTopcomment() 
{
	CString Topcomment;
	GetDlgItemText( IDC_EDIT_Topcomment, Topcomment );
	put_TopComment(m_hBarcodeDLL, Topcomment.AllocSysString() );
	RefreshImage();
}

void CVC6ExampleDlg::OnChangeEDITBottomcomment() 
{
    CString Bottomcomment;
	GetDlgItemText( IDC_EDIT_Bottomcomment, Bottomcomment );
	put_BottomComment(m_hBarcodeDLL, Bottomcomment.AllocSysString());
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITBartopmargin() 
{
	CString Bartopmargin;
	GetDlgItemText( IDC_EDIT_Bartopmargin, Bartopmargin);
	put_BarTopMargin( m_hBarcodeDLL,atoi(Bartopmargin) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITBarleftmargin() 
{
	CString Barleftmargin;
	GetDlgItemText( IDC_EDIT_Barleftmargin, Barleftmargin);
	put_BarLeftMargin(m_hBarcodeDLL, atoi(Barleftmargin) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITTexttopmargin() 
{
	CString Texttopmargin;
	GetDlgItemText( IDC_EDIT_Texttopmargin, Texttopmargin);
	put_TextTopMargin(m_hBarcodeDLL, atoi(Texttopmargin) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITTextleftmargin() 
{
	CString Textleftmargin;
	GetDlgItemText( IDC_EDIT_Textleftmargin, Textleftmargin);
	put_TextLeftMargin(m_hBarcodeDLL, atoi(Textleftmargin) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITTopcommenttopmargin() 
{
	CString Topcommenttopmargin;
	GetDlgItemText( IDC_EDIT_Topcommenttopmargin, Topcommenttopmargin);
	put_TopCommentTopMargin( m_hBarcodeDLL,atoi(Topcommenttopmargin) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITTopcommentleftmargin() 
{
    CString Topcommentleftmargin;
	GetDlgItemText( IDC_EDIT_Topcommentleftmargin, Topcommentleftmargin);
	put_TopCommentLeftMargin(m_hBarcodeDLL, atoi(Topcommentleftmargin) );
	RefreshImage();
}

void CVC6ExampleDlg::OnChangeEDITBottomcommenttopmargin() 
{
	CString Bottomcommenttopmargin;
	GetDlgItemText( IDC_EDIT_Bottomcommenttopmargin, Bottomcommenttopmargin);
	put_BottomCommentTopMargin(m_hBarcodeDLL, atoi(Bottomcommenttopmargin) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnChangeEDITBottomcommentleftmargin() 
{
	CString Bottomcommentleftmargin;
	GetDlgItemText( IDC_EDIT_Bottomcommentleftmargin, Bottomcommentleftmargin);
	put_BottomCommentLeftMargin(m_hBarcodeDLL, atoi(Bottomcommentleftmargin) );
	RefreshImage();
	
}
  
void CVC6ExampleDlg::OnCHECKAutosize() 
{
	put_AutoSize( m_hBarcodeDLL,IsDlgButtonChecked(IDC_CHECK_Autosize) );	
	RefreshImage();
}

void CVC6ExampleDlg::OnCHECKQuietzones() 
{
	put_QuietZones(m_hBarcodeDLL, IsDlgButtonChecked(IDC_CHECK_Quietzones) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnCHECKAddcheckdigit() 
{
	put_AddCheckDigit(m_hBarcodeDLL, IsDlgButtonChecked(IDC_CHECK_Addcheckdigit) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnCHECKShowcheckdigit() 
{
	put_ShowCheckDigit(m_hBarcodeDLL, IsDlgButtonChecked(IDC_CHECK_Showcheckdigit) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnCHECKShowhrtext() 
{
	put_ShowHRText( m_hBarcodeDLL,IsDlgButtonChecked(IDC_CHECK_Showhrtext) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnCHECKBearerbars() 
{
	put_BearerBars( m_hBarcodeDLL,IsDlgButtonChecked(IDC_CHECK_Bearerbars) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnCHECKTexttostretch() 
{
	put_TextToStretch(m_hBarcodeDLL, IsDlgButtonChecked(IDC_CHECK_Texttostretch) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnPrint() 
{
   	CDC dc;
	CPrintDialog dlg(FALSE);
	DOCINFO di;

	dlg.GetDefaults();
	dc.Attach(dlg.GetPrinterDC());
	
	memset(&di,0,sizeof(di));
	di.cbSize = sizeof(DOCINFO);
	
	// Print Job Name
	di.lpszDocName = "MFC Sample for EaseSoft Barcode DLL";
	
	if (dc.StartDoc(&di) > 0)
	{
		dc.StartPage();
		
		IPictureDisp* pPictureDisp=NULL;
		HRESULT hr = get_Picture(m_hBarcodeDLL, &pPictureDisp);
		ASSERT(SUCCEEDED(hr));

		IPicture* pPicture=NULL;
		hr = pPictureDisp->QueryInterface(__uuidof(IPicture), (void**)&pPicture);
		ASSERT(SUCCEEDED(hr));

		// Draw the Bar Code into the Printer DC
		OLE_HANDLE handle;
		pPicture->get_Handle(&handle);
		OLE_YSIZE_HIMETRIC height;
		OLE_XSIZE_HIMETRIC width; 
		pPicture->get_Height(&height);
		pPicture->get_Width(&width);

		dc.SetMapMode(MM_HIMETRIC);

		CRect rcBounds;
		rcBounds.top=-1000; rcBounds.left=1000;
		rcBounds.bottom = rcBounds.top - height;
		rcBounds.right = rcBounds.left + width;
		::PlayEnhMetaFile(dc.m_hDC, (HENHMETAFILE)handle, &rcBounds);

		// Eject the Page and Leave.
		dc.EndPage();
		
		dc.EndDoc();
	}	
	
}





void CVC6ExampleDlg::OnCopy() 
{
	CopyToClipBoard(m_hBarcodeDLL);	
	RefreshImage();
}

void CVC6ExampleDlg::OnSave() 
{
	static char BASED_CODE szFilter[] = "Graphics Files(*.bmp)(*.jpg)(*.emf)(*.gif)(*.tif)(*.png)(*.wmf)|"
										"*.bmp;*.emf;*.jpg;*.gif;*.tif;*.png;*.wmf||";
	CFileDialog dlg(FALSE, "jpg", NULL, OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, szFilter, this);
	if ( dlg.DoModal()==IDOK )
	{
		CString ext = dlg.GetFileExt();
		CString filename = dlg.GetPathName();
	
		SaveBarcodeImage(m_hBarcodeDLL,filename.AllocSysString());
	}

	RefreshImage();	
}

void CVC6ExampleDlg::OnBUTTONFont() 
{
    CFontDialog dlg;
	if(dlg.DoModal() != IDOK)
		return;

	LOGFONT lf;
	dlg.GetCurrentFont(&lf);

	USES_CONVERSION;

	FONTDESC fd;
	fd.cbSizeofstruct = sizeof(FONTDESC);
	fd.lpstrName = A2W(lf.lfFaceName);
	fd.cySize.Lo = abs(lf.lfHeight)*10000;
	fd.cySize.Hi = 0;
	fd.sWeight = (short)lf.lfWeight;
	fd.sCharset = lf.lfCharSet;
	fd.fItalic = lf.lfItalic;
	fd.fUnderline = lf.lfUnderline;
	fd.fStrikethrough = lf.lfStrikeOut;

	IFontDisp* pFont;
	HRESULT hr = OleCreateFontIndirect(&fd, IID_IFontDisp, (void **)&pFont);

	put_TextFont(m_hBarcodeDLL,pFont);	
	RefreshImage();
}

void CVC6ExampleDlg::OnChangeEDITControlHeigth() 
{
	CString ControlHeight;
	GetDlgItemText( IDC_EDIT_ControlHeight, ControlHeight );

	VARIANT_BOOL autoSize;
	get_AutoSize(m_hBarcodeDLL,&autoSize);

	if(!autoSize)
	put_ControlHeight(m_hBarcodeDLL, atoi(ControlHeight) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITControlWidth() 
{
	CString ControlWidth;
	GetDlgItemText( IDC_EDIT_ControlWidth, ControlWidth );
	
	VARIANT_BOOL autoSize;
	get_AutoSize(m_hBarcodeDLL,&autoSize);

	if(!autoSize)
	put_ControlWidth(m_hBarcodeDLL, atoi(ControlWidth) );
	RefreshImage();
	
}

void CVC6ExampleDlg::OnChangeEDITRasterImageResolution() 
{
	CString RasterImageResolution;
	GetDlgItemText( IDC_EDIT_RasterImageResolution, RasterImageResolution );
	put_RasterImageResolution( m_hBarcodeDLL,atoi(RasterImageResolution) );
	RefreshImage();
}

void CVC6ExampleDlg::OnChangeEDITJpegQuality() 
{
	CString JpegQuality;
	GetDlgItemText( IDC_EDIT_JpegQuality, JpegQuality );
	put_JpegQuality(m_hBarcodeDLL, atoi(JpegQuality) );
	RefreshImage();	
	
}

void CVC6ExampleDlg::OnChangeEDITTiffCompression() 
{
	CString TiffCompression;
	GetDlgItemText( IDC_EDIT_TiffCompression, TiffCompression );
	put_TiffCompression(m_hBarcodeDLL, atoi(TiffCompression) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnChangeEDITPngFilter() 
{
	CString PngFilter;
	GetDlgItemText( IDC_EDIT_PngFilter, PngFilter );
	put_PngFilter(m_hBarcodeDLL, atoi(PngFilter) );
	RefreshImage();	
}

void CVC6ExampleDlg::OnCHECKGifCompression() 
{
	put_GifCompression( m_hBarcodeDLL,IsDlgButtonChecked(IDC_CHECK_GifCompression) );	
	RefreshImage();
}

void CVC6ExampleDlg::OnCHECKPngInterlace() 
{
	put_PngInterlace(m_hBarcodeDLL, IsDlgButtonChecked(IDC_CHECK_PngInterlace) );		
	RefreshImage();	
}

void CVC6ExampleDlg::OnBUTTONRefresh() 
{
	RefreshImage();	
	
}
